<template>
  <div>
    <b-table :items="result"/>
  </div>
</template>

<script>
export default {
  data() {
    return {
      result: ''
    };
  },
  created() {
    let ins = this;
    this.$axios({
      method: 'get',
      url: 'http://localhost:3000/effects'
    })
      .then(res => {
        if (res.data.length == 0)
          ins.result = [{
            'Effects': 'empty'
          }]
        else
          ins.result = res.data;
      })
      .catch(err => {
        ins.result = [{
          error: 'Errou, otário'
        }];
      })
  }
}
</script>

<style>

</style>
